Package ietf.params.xml.ns.icalendar_2

# Class DatetimePropertyType

java.lang.Object
ietf.params.xml.ns.icalendar_2.BasePropertyType
ietf.params.xml.ns.icalendar_2.DatetimePropertyType

public class DatetimePropertyType extends BasePropertyType

Java class for DatetimePropertyType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DatetimePropertyType">
       <complexContent>
         <extension base="{urn:ietf:params:xml:ns:icalendar-2.0}BasePropertyType">
           <sequence>
             <element ref="{urn:ietf:params:xml:ns:icalendar-2.0}date-time"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected XMLGregorianCalendar`
  `dateTime`

  ### Fields inherited from class ietf.params.xml.ns.icalendar_2.BasePropertyType

  `parameters`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DatetimePropertyType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `XMLGregorianCalendar`
  `getDateTime()`
  Gets the value of the dateTime property.
  `void`
  `setDateTime(XMLGregorianCalendar value)`
  Sets the value of the dateTime property.

  ### Methods inherited from class ietf.params.xml.ns.icalendar_2.BasePropertyType

  `getParameters, setParameters`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### dateTime

    protected XMLGregorianCalendar dateTime

- ## Constructor Details

  - ### DatetimePropertyType

    public DatetimePropertyType()

- ## Method Details

  - ### getDateTime

    public XMLGregorianCalendar getDateTime()
    Gets the value of the dateTime property.
    Returns:
      possible object is `XMLGregorianCalendar`

  - ### setDateTime

    public void setDateTime(XMLGregorianCalendar value)
    Sets the value of the dateTime property.
    Parameters:
      `value` - allowed object is `XMLGregorianCalendar`